\NeedsTeXFormat{LaTeX2e}
 
\ProvidesClass{TP}[2014/09/01]

\LoadClass[11pt]{article}
\RequirePackage[utf8]{inputenc}
\RequirePackage[T1]{fontenc}
\RequirePackage[a4paper,height=26.7cm,width=17cm]{geometry} 
\RequirePackage{graphicx}
\RequirePackage{mathtools} 
\RequirePackage{auto-pst-pdf}
\RequirePackage{pstricks}
\RequirePackage{multido}
\RequirePackage{pst-circ}%circuit électrique
\RequirePackage{pst-plot}%tracé de courbes
\RequirePackage{pst-math}%calcul  
\RequirePackage{pst-coil}%ressorts
\RequirePackage{pst-eucl}% angle
%\RequirePackage{pst-optic}% arrowLine
%\RequirePackage{pst-3dplot}
%\RequirePackage{pst-sigsys}%système linéaire
%\RequirePackage{pstricks-add}%divers
%\RequirePackage{pst-labo}%dessin
\RequirePackage{fourier}
\RequirePackage{siunitx}
\RequirePackage{esdiff}
\RequirePackage{esvect}
\RequirePackage{verbatim}
\RequirePackage{booktabs}
\RequirePackage{framed}
\RequirePackage[french]{babel}
\RequirePackage{enumitem}
\RequirePackage[mathscr]{eucal}
\RequirePackage{fp}


\frenchbsetup{StandardLists=true}
\setlist[itemize]{label=--,leftmargin=*,label=\textbullet}

\everymath{\displaystyle}% Mode mathématique en ligne
\newcommand{\abs}[1]{\left| #1 \right|} % for absolute value
\newcommand\ee{\mathrm{e}}
\newcommand\ii{\mathrm{j}}
\newcommand\uu[1]{\underline{#1}}
\newcommand\dd{\mathrm{d}}
\newcommand\conjug[1]{\underline{#1} ^{*}}
\newcommand{\gradN}[1]{\vv{\nabla} #1} % for gradient avec nabla
\newcommand{\divN}[1]{\vv{\nabla} \cdot \vec{#1}} % for divergence avec nabla
\newcommand{\rotN}[1]{\vv{\nabla} \times #1} % for curl avec nabla
\newcommand{\grad}[1]{\vv{\rm{grad}} \left( #1\right)} % for gradient
\newcommand{\rot}[1]{\vv{\rm{rot}} \left( #1 \right)} % for curl
\newcommand{\divT}[1]{\rm{div} \left( #1\right)} % for divergence
\newcommand{\avg}[1]{\left\langle #1 \right\rangle} % for average

\sisetup{exponent-product=\cdot,output-decimal-marker={,},separate-uncertainty,range-phrase=\;à\;,locale=FR}

\DeclareMathOperator{\sinc}{sinc}
\DeclareMathOperator{\erf}{erf}
\renewcommand\th{\mathrm{th}}

\setlength{\emergencystretch}{8em}

\DeclareSIUnit\dec{décade}
\DeclareSIUnit\div{div}

\columnseprule=1pt
\columnsep=5mm

\newenvironment{reponse}{\textbf{Réponse}\par}{\par}
\newcommand{\exclure}[1]{\renewenvironment{#1}{\begingroup\comment}{\endcomment\endgroup\ignorespaces}}
\exclure{reponse}

\definecolor{cli}{rgb}{1,1,0.3}
\newcommand{\imp}[1]{\centerline{\colorbox{cli}{#1}}}% Important, à retenir

\author{Lycée Descartes}
\date{}
\pagestyle{empty}

\endinput

